[備註] 安裝 RVM and Ruby@Ubuntu 13.04 x64

安裝 RVM 之前必要的套件 (以管理者帳號安裝):

$ sudo apt-get update
$ sudo apt-get install build-essential
$ sudo apt-get install curl

RVM (Ruby Version Manager)提供在同一環境下安裝多個 Ruby 程式語言版本的機制。

RVM 的安裝環境預設於個人帳號資料夾中,設計上與系統環境有區隔,因此憑一般使用者權限安裝即可,不需要系統最高使用者的權限。每個 Ruby 環境的 Gem 都是分別管理,甚至在同一個 Ruby 下也可以建立不同的 Gemset,彼此獨立互不影響。

* 安裝 (single-user) rvm:

$ curl -L https://get.rvm.io | bash -s stable

* 查看所需要的 dependencies:

$ rvm requirements

* 查看 ruby 可安裝的版本資訊:

$ rvm list known


* 安裝 ruby (ex. 安裝 2.0.0 版):

$ rvm install 2.0.0

* 查看所安裝的 ruby & gem 版本:

$ ruby -v
$ gem -v

* 設定預設的 ruby 執行版本:

$ rvm use 2.0.0 --default

* 設定 rubygems:

$ rvm rubygems current

.. note:: 如果執行有發生錯誤訊息,執行 rvm get latest 升級 rvm。

* 安裝 rails:

$ gem install rails

.. note:: Bundler 是管理應用程式 Gem 相依性(dependencies)管理工具,它會根據 Gemfile 的設定自動下載及安裝 Gem 套件,並且幫你解決不同套件之間的相依關係,更重要的是,它可以讓不同開發者之間和佈署時,所有相依套件的版本都能夠一致。

※ 參考資訊
 o Installing RVM
 o RVM Tutorial
 o How to Install Ruby on Rails on Ubuntu 12.04 LTS (Precise Pangolin) with RVM

文章導覽

   

共有 3 則迴響

  1. 您好:

    不好意思,很冒昧的請問一下,我照著上面安裝

    執行curl -L https://get.rvm.io | bash -s stable

    ,卻出現

    Downloading RVM from wayneeseguin branch stable

    curl: (6) Couldn’t resolve host ‘github.com’

    Could not download ‘https://github.com/wayneeseguin/rvm/archive/stable.tar.gz’.

    curl returned status ‘6’.

    curl: (6) Couldn’t resolve host ‘bitbucket.org’

    Could not download ‘https://bitbucket.org/mpapis/rvm/get/stable.tar.gz’.

    curl returned status ‘6’.

    不知道是那邊的問題,還是需要調整哪裡

    不知道您方便可以回答一下

    • 教你如何要認識一位 Howto 的好朋友:Google。

      關鍵字下:curl returned status ‘6’. RVM

      它絕對會幫你列出一堆解答的。

發佈回覆給「Kenming Wang」的留言 取消回覆

發佈留言必須填寫的電子郵件地址不會公開。 必填欄位標示為 *